﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
// 利用微软 .net 图表空间，可以轻易实现各种图表
using System.Windows.Forms.DataVisualization.Charting;
using fox.api;
namespace N
{
    // 必须继承 金魔方 InfoPanelControl
    public partial class MyInfoPanel : InfoPanelControl
    {
        public MyInfoPanel()
        {
            InitializeComponent();
        }

        private void UpdateChartSettings()
        {
            Series series1 = chart1.Series[0];

            if (this.checkBoxCollectPieSlices.Checked)
            {
                comboBoxChartType.Enabled = true;
                checkBoxCollectPieSlices.Enabled = true;
                checkBoxCollectPieSlices.Enabled = true;
                checkBoxShowExploded.Enabled = true;
                // Set the collected pie slice to be exploded
                series1["CollectedSliceExploded"] = checkBoxShowExploded.Checked.ToString();
                series1["CollectedThreshold"] = "5";
                series1["CollectedColor"] = "Green";
                // Set chart type
                series1.ChartType = comboBoxChartType.SelectedIndex == 0 ? SeriesChartType.Pie : SeriesChartType.Doughnut;// (SeriesChartType)Enum.Parse(typeof(SeriesChartType), comboBoxChartType.Text, true);

            }

            else
            {
                series1["CollectedThreshold"] = "0";
                comboBoxChartType.Enabled = false;
                checkBoxShowExploded.Enabled = false;
            }
        }

        private void comboBoxChartType_SelectedIndexChanged(object sender, EventArgs e)
        {
            UpdateChartSettings();
        }

        private void checkBoxCollectPieSlices_CheckedChanged(object sender, EventArgs e)
        {
            UpdateChartSettings();
        }

        private void checkBoxShowExploded_CheckedChanged(object sender, EventArgs e)
        {
            UpdateChartSettings();
        }

        private void MyInfoPanel_Load(object sender, EventArgs e)
        {
            comboBoxChartType.SelectedIndex = 0;
            UpdateChartSettings();
        }
        // 股票切换的时候会调用
        public override void OnSecurityChanged(String marketCode, String stkCode, String stkName)
        {
            label2.Text = stkName  ;
        }
    }
}
